<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Ejemplo de JS</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
        <!-- JavaScript Bundle with Popper -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>   
        <!-- JavaScript de mis Funciones -->
        <script src="../js/misFunciones2.js" type="text/javascript"></script>
        <script src="../js/funcionesGoogle.js" type="text/javascript"></script>
        <!-- JavaScript de funciones en google -->
        <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

        <script type="text/javascript">
                google.charts.load('current', {'packages': ['table']});
                google.charts.load('current', {'packages': ['bar']});
                google.charts.load("current", {'packages': ["corechart"]});
        </script>


    </head>
    <body>
        <h1 style="color:green;"> Mi primer Js -Cálculo de notas</h1>
        <br><br>
        <hr>
        <!--Acá colocaríamos la dirección de nuestro core(.java o servlets) -->
        <form action="#" onsubmit="return false;">

            <div class="form-group row">
                <label for="nombre" class="col-sm-2 col-form-label">Nombre</label>
                <div class="col-sm-10">
                    <input type="text"  value="Estudiante UFPS" name="datos" placeholder="sus nombres completos" required>
                </div> 
            </div>        

            <!-- Previo 1 -->
            <div class="form-group row">
                <label for="previo_1" class="col-sm-2 col-form-label">Previo 1</label>
                <div class="col-sm-10">
                    <input type="number"  value="1" name="datos" placeholder="0.0" min="0" max="5" required>
                </div> 
            </div>   

            <!-- Previo 2 -->
            <div class="form-group row">
                <label for="previo_2" class="col-sm-2 col-form-label">Previo 2</label>
                <div class="col-sm-10">
                    <input type="number"  value="3" name="datos" placeholder="0.0" min="0" max="5" required>
                </div> 
            </div>   

            <!-- Previo 3 -->
            <div class="form-group row">
                <label for="previo_3" class="col-sm-2 col-form-label">Previo 3</label>
                <div class="col-sm-10">
                    <input type="number"  value="4" name="datos" placeholder="0.0" min="0" max="5" required>
                </div> 
            </div>   

            <!-- Examen -->
            <div class="form-group row">
                <label for="examen_" class="col-sm-2 col-form-label">Examen</label>
                <div class="col-sm-10">
                    <input type="number"  name="datos" placeholder="0.0" min="0" max="5" value="5" required>
                </div> 
            </div>  


            <button type="submit" onclick="calcularNotas();" class="btn btn-primary mb2">Calcular </button>     
            <button type="reset"  class="btn btn-primary mb2">Borrar </button>     
        </form> 


        <br><br>
        <div class="card" style="width: 40rem;">
            <div class="card-body">
                <div id="respuesta"></div>
            </div>
        </div>

        <!-- La impresión de la tabla de google -->
        <div id="table_div"></div>
        <div id="barchart_material" style="width: 900px; height: 500px;"></div>
        <div id="piechart_3d" style="width: 900px; height: 500px;"></div>
    </body>

</html>
